Package org.apache.commons.math3.stat.descriptive.rank

# Interface PSquarePercentile.PSquareMarkers

All Superinterfaces:
  `Cloneable`

Enclosing class:
  `PSquarePercentile`

protected static interface PSquarePercentile.PSquareMarkers extends Cloneable
An interface that encapsulates abstractions of the P-square algorithm markers as is explained in the original works. This interface is exposed with protected access to help in testability.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
A clone function to clone the current instance.
`double`
`estimate(int index)`
An Estimate of the percentile value of a given Marker
`double`
`getPercentileValue()`
Returns Percentile value computed thus far.
`double`
`height(int markerIndex)`
Returns the marker height (or percentile) of a given marker index.
`double`
`processDataPoint(double inputDataPoint)`
Process a data point by moving the marker heights based on estimator.

## Method Details

### getPercentileValue

double getPercentileValue()
Returns Percentile value computed thus far.

Returns:
  percentile

### clone

Object clone()
A clone function to clone the current instance. It's created as an interface method as well for convenience though Cloneable is just a marker interface.

Returns:
  clone of this instance

### height

double height(int markerIndex)
Returns the marker height (or percentile) of a given marker index.

Parameters:
  `markerIndex` - is the index of marker in the marker array
Returns:
  percentile value of the marker index passed
Throws:
  `OutOfRangeException` - in case the index is not within [1-5]

### processDataPoint

double processDataPoint(double inputDataPoint)
Process a data point by moving the marker heights based on estimator.

Parameters:
  `inputDataPoint` - is the data point passed
Returns:
  computed percentile

### estimate

double estimate(int index)
An Estimate of the percentile value of a given Marker

Parameters:
  `index` - the marker's index in the array of markers
Returns:
  percentile estimate
Throws:
  `OutOfRangeException` - in case if index is not within [1-5]